span.hpp File Reference

## Classes

struct | ranges::v3::span< T, N >

## Functions

template<typename T , detail::span_index_t N>
span< unsigned char const, detail::byte_size< T >N)> | ranges::v3::as_bytes (span< T, N > s) noexcept
template<typename T , detail::span_index_t N>
span< unsigned char, detail::byte_size< T >N)> | ranges::v3::as_writeable_bytes (span< T, N > s) noexcept
template<typename ElementType >
constexpr span< ElementType > | ranges::v3::make_span (ElementType *ptr, detail::span_index_t count) noexcept
template<typename ElementType >
constexpr span< ElementType > | ranges::v3::make_span (ElementType *first, ElementType *last) noexcept
template<typename Rng , requires = (ContiguousRange<Rng>() && range_cardinality<Rng>::value < cardinality{})>
constexpr span< concepts::ContiguousRange::element_t< Rng > > | ranges::v3::make_span (Rng &&rng) noexcept(noexcept(ranges::data(rng), ranges::size(rng)))
template<typename Rng , requires = (ContiguousRange<Rng>() && range_cardinality<Rng>::value >= cardinality{})>
constexpr span< concepts::ContiguousRange::element_t< Rng >, static_cast< detail::span_index_t >range_cardinality< Rng >::value)> | ranges::v3::make_span (Rng &&rng) noexcept(noexcept(ranges::data(rng)))

## Variables

constexpr detail::span_index_t | ranges::v3::dynamic_extent = -1